# salt.modules.salt_proxy

Salt proxy module

Added in version 2015.8.3.

Module to deploy and manage salt-proxy processes on a minion.

salt.modules.salt_proxy.configure_proxy(proxyname, start=True)

  Create the salt proxy file and start the proxy process if required

  Parameters:

    - proxyname -- Name to be used for this proxy (should match entries in pillar)

    - start -- Boolean indicating if the process should be started default = True

  CLI Example:

      salt deviceminion salt_proxy.configure_proxy p8000

salt.modules.salt_proxy.is_running(proxyname)

  Check if the salt-proxy process associated with this proxy (name) is running.

  Returns True if the process is running False otherwise

  Parameters:

    proxyname -- String name of the proxy (p8000 for example)

  CLI Example:

      salt deviceminion salt_proxy.is_running p8000